1

I've installed the cm-12-20150228-NIGHTLY-taoshan to my C2105 and now I want to update to cm-12-20150303-NIGHTLY-taoshan but I get this error.

This package is for device: C2105, C2104, c2105, c2104, taoshan this device is .

What can I do to solve this problem?

Same problem is with the cm-12-20150301-NIGHTLY-taoshan and also with downgrading to the cm-11-20140827-NIGHTLY-taoshan (which I had previously installed). It seems to me that the information about my device is missing. How can I add the information that this device is C2105/taoshan?

I've tried to get some information from my /system/build.prop file but it looks like the C2105 identifier is OK. Is it possible to turn off the device validation during new CM installation? This is what my current /system/build.prop looks like:

# begin build properties
# autogenerated by buildinfo.sh
ro.build.id=LRX22G
ro.build.display.id=cm_taoshan-userdebug 5.0.2 LRX22G a166b92e84 test-keys
ro.build.version.incremental=a166b92e84
ro.build.version.sdk=21
ro.build.version.codename=REL
ro.build.version.all_codenames=REL
ro.build.version.release=5.0.2
ro.build.date=Sat Feb 28 10:03:21 PST 2015
ro.build.date.utc=1425146601
ro.build.type=userdebug
ro.build.user=jenkins
ro.build.host=cyanogenmod
ro.build.tags=test-keys
ro.product.brand=Sony
ro.product.name=C2105
ro.product.board=qcom
# ro.product.cpu.abi and ro.product.cpu.abi2 are obsolete,
# use ro.product.cpu.abilist instead.
ro.product.cpu.abi=armeabi-v7a
ro.product.cpu.abi2=armeabi
ro.product.cpu.abilist=armeabi-v7a,armeabi
ro.product.cpu.abilist32=armeabi-v7a,armeabi
ro.product.cpu.abilist64=
ro.product.manufacturer=Sony
ro.product.locale.language=en
ro.product.locale.region=US
ro.wifi.channels=
ro.board.platform=msm8960
ro.build.characteristics=phone
ro.cm.device=taoshan
# end build properties
#
# from device/sony/taoshan/system.prop
#
#
# system prop for taoshan
#

ro.sf.lcd_density=240

#
# ADDITIONAL_BUILD_PROPERTIES
#
keyguard.no_require_sim=true
ro.com.android.dateformat=MM-dd-yyyy
ro.carrier=unknown
com.qc.hardware=true
ro.vendor.extension_library=/vendor/lib/libqc-opt.so
ro.telephony.ril_class=SonyRIL
wifi.interface=wlan0
wifi.supplicant_scan_interval=15
persist.hwc.mdpcomp.enable=true
wlan.driver.ath=0
dalvik.vm.heapstartsize=8m
dalvik.vm.heapgrowthlimit=96m
dalvik.vm.heapsize=256m
dalvik.vm.heaptargetutilization=0.75
dalvik.vm.heapminfree=2m
dalvik.vm.heapmaxfree=8m
ro.opengles.version=196608
ro.ril.transmitpower=true
persist.radio.apm_sim_not_pwdn=1
DEVICE_PROVISIONED=1
rild.libpath=/system/lib/libril-qc-qmi-1.so
ril.subscription.types=NV,RUIM
telephony.lteOnCdmaDevice=0
ro.use_data_netmgrd=true
ro.telephony.call_ring.multiple=false
ro.ril.telephony.mqanelements=6
ro.qualcomm.cabl=0
ro.cwm.enable_key_repeat=true
persist.debug.wfd.enable=1
persist.sys.wfd.virtual=0
ro.qualcomm.bt.hci_transport=smd
persist.timed.enable=true
qcom.audio.init=complete
persist.audio.fluence.mode=endfire
persist.audio.vr.enable=false
persist.audio.handset.mic=digital
persist.audio.lowlatency.rec=false
media.aac_51_output_enabled=true
ro.qc.sdk.audio.ssr=false
ro.qc.sdk.audio.fluencetype=none
lpa.decode=true
persist.gps.qmienabled=true
ro.gps.agps_provider=1
ro.error.receiver.system.apps=org.cyanogenmod.bugreport
ro.rommanager.developerid=cyanogenmodnightly
ro.com.google.clientidbase=android-sonyericsson
ro.url.legal=http://www.google.com/intl/%s/mobile/android/basic/phone-legal.html
ro.url.legal.android_privacy=http://www.google.com/intl/%s/mobile/android/basic/privacy.html
ro.com.android.wifi-watchlist=GoogleGuest
ro.setupwizard.enterprise_mode=1
ro.com.android.dataroaming=false
ro.build.selinux=1
persist.sys.dun.override=0
persist.sys.root_access=0
ro.cm.version=12-20150228-NIGHTLY-taoshan
ro.cm.releasetype=NIGHTLY
ro.modversion=12-20150228-NIGHTLY-taoshan
ro.cmlegal.url=https://www.cyanogenmod.org/docs/privacy
persist.sys.recovery_update=false
ro.cm.display.version=12-20150228-NIGHTLY-taoshan
ro.config.notification_sound=Argon.ogg
ro.config.alarm_alert=Hassium.ogg
ro.config.ringtone=Orion.ogg
persist.sys.dalvik.vm.lib.2=libart.so
dalvik.vm.isa.arm.features=div
dalvik.vm.lockprof.threshold=500
net.bt.name=Android
dalvik.vm.stack-trace-file=/data/anr/traces.txt

EDIT so I checked the "updater-script" file and it seems that the CM installer is trying to validate the property ro.product.device which is missing in my build.prop. So I've added it to the build.prop file and tried to install the CM again but... Still the same error!

I also tried to modify the build.prop and remove the validation but now I get error that the package is not valid because of checksum or something like that (I don't remember exactly)

0

I faced the same problem, exact same error message and was going crazy. :P

The problem in my case was that the recovery was corrupted. I just downloaded the recovery from here and update successful.

Hope this helps :)

0

You are already very close. If you are sure that the download isn't corrupt and you are sure that the file downloaded is indeed for your device, you can open the zip file, go to the updater-script and remove the part of the script where it validates which phone you have.

After this edit, the update should work fine.

Also, I'd mention it to the maintainer of the ROM, as multiple people may be experiencing the same issue.

  • Thanks for answer. The problem with this is that the checksum can't ve validated after I edit the updater-script. Do you have any idea how to solve the checksum problem? – Jakolcz Mar 24 '15 at 20:03
  • Honestly, I would always just install it and test it for a few minutes, if nothing weird happens it's probavly all good. I always had a backup ready so I coould go back if neccesary and I've personally never bothered using checksums myself... – user1261104 Mar 25 '15 at 11:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.